%define name libsidplay
%define version 1.36.59
%define release %mkrel 1
%define major 1
%define libname %mklibname sidplay %major

Summary: A Commodore 64 music player and SID chip emulator library.
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System/Libraries
Source: http://www.geocities.com/SiliconValley/Lakes/5147/sidplay/packages/%{name}-%{version}.tar.bz2
Icon: sidplay.xpm
BuildRoot: %{_tmppath}/%{name}-buildroot
URL: http://www.geocities.com/SiliconValley/Lakes/5147/sidplay/linux.html
 
%description
This library provides the Sound Interface Device (SID) chip emulator
engine that is used by music player programs like SIDPLAY. With it
you can play musics from Commodore 64 (or compatible) programs.

%package -n %libname
Summary: A Commodore 64 music player and SID chip emulator library.
Group: System/Libraries
Provides: %{name} = %{version}

%description -n %libname
This library provides the Sound Interface Device (SID) chip emulator
engine that is used by music player programs like SIDPLAY. With it
you can play musics from Commodore 64 (or compatible) programs.


%package -n %libname-devel
Summary: Libraries and include files for developing libsidplay applications.
Group: Development/C++
Requires: %libname = %{version}-%release
Provides: %{name}-devel = %{version}-%release
Provides: sidplay-devel = %{version}-%release

%description -n %{libname}-devel
This package contains the header files and the static library for compiling
applications that use libsidplay. 

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure2_5x --enable-optfixpoint --enable-optendian

%make

%install
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %libname -p /sbin/ldconfig

%postun -n %libname -p /sbin/ldconfig
 
%files -n %libname
%defattr(-,root,root)
%doc AUTHORS COPYING
%{_libdir}/lib*.so.*
%files -n %{libname}-devel
%defattr(-,root,root)
%doc DEVELOPER src/*.txt
%{_includedir}/sidplay/
%{_libdir}/*.so
%{_libdir}/*a


%changelog
* Sun Jan 28 2007 Götz Waschk <waschk@mandriva.org> 1.36.59-1mdv2007.0
+ Revision: 114682
- Import libsidplay



* Sun Jan 28 2007 Gtz Waschk <waschk@mandriva.org> 1.36.59-1mdv2007.1
- rebuild

* Tue Aug 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.36.59-1mdk
- New release 1.36.59

* Fri Jul 23 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.36.58-1mdk
- autoconf 2.5 macro
- drop all patches
- New release 1.36.58

* Fri Jun  4 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.36.57-7mdk
- patch to make it build with g++ 3.4
- include debian patch
- fix URLs

* Tue Nov  4 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.36.57-6mdk
- add provides sidplay-devel

* Fri Sep  5 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.36.57-5mdk
- fix deps

* Tue Sep  2 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.36.57-4mdk
- add mklibname

* Wed Jul  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.36.57-3mdk
- rebuild for new rpm

* Mon Apr 28 2003 Gtz Waschk <waschk@linux-mandrake.com> 1.36.57-2mdk
- fix directory ownership

* Fri Sep 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.36.57-1mdk
- new version

* Tue Sep  3 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.36.56-1mdk
- new version

* Thu Aug 15 2002 Laurent Culioli <laurent@pschit.net> 1.36.55-2mdk
- Rebuild with gcc3.2

* Sun Aug 11 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.36.55-1mdk
- new version

* Mon Jul 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.36.54-2mdk
- gcc 3.2 build

* Mon May 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.36.54-1mdk
- 1.36.54

* Sun May 26 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.36.53-2mdk
- gcc 3.1

* Fri Mar 29 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.36.53-1mdk
- 1.36.53

* Sat Mar  9 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.36.52-1mdk
- use optimization options for the configure call
- drop optimization patch
- 1.36.52

* Sun Jan 13 2002 Gtz Waschk <waschk@linux-mandrake.com> 1.36.50-1mdk
- 1.36.50

* Tue Dec 18 2001 Gtz Waschk <waschk@linux-mandrake.com> 1.36.49-1mdk
- 1.36.49

* Mon Aug 20 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.36.47-2mdk
- rebuild

* Mon Feb 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.36.47-1mdk
- used srpm from Gtz Waschk <waschk@linux-mandrake.com> :
	- 1.36.47
	- added version numbers to provides

* Wed Nov 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.36.46-1mdk
- updated by Gtz Waschk <goetz@linux-mandrake.com>
	- 1.36.46
	- new library naming scheme

* Thu Oct 19 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.36.45-1mdk
- updated to 1.36.45 by Gtz Waschk <goetz@linux-mandrake.com>

* Mon Sep 11 2000 Lenny Cartier <lenny@mandrakesoft.com> 1.36.43-2mdk
- macros

* Sat Jul 15 2000 Gtz Waschk <goetz@linux-mandrake.com> 1.36.43-1mdk
- updated to 1.36.43

* Fri Jul 14 2000 Gtz Waschk <goetz@linux-mandrake.com> 1.36.40-1mdk
- initial mandrake release
